<div *ngIf="film">
  <h4 class="card-title"> {{ film.name }} <span class="font-weight-light">{{ film.year }}</span> </h4>
  <div id="all-pill">
    <span
      *ngFor="let genre of film.genres"
      class="badge badge-pill badge-success genre-pill">{{ genre }}</span>
    <span
      *ngFor="let tag of film.tags"
      class="badge badge-pill badge-info tag-pill">{{ tag }}</span>
    <a
      class="badge badge-pill badge-info tag-pill"
      style="cursor: pointer"
      (click)="onClickAddTag()">+</a>
    <span
      class="badge badge-pill badge-info tag-pill"><input type="text"></span>
  </div>
  <p>{{ film.description }}</p>

  <vg-player (onPlayerReady)="onPlayerReady($event)">
    <vg-overlay-play></vg-overlay-play>
    <vg-buffering></vg-buffering>

    <vg-scrub-bar>
      <vg-scrub-bar-current-time></vg-scrub-bar-current-time>
      <vg-scrub-bar-buffering-time></vg-scrub-bar-buffering-time>
    </vg-scrub-bar>

    <vg-controls [vgAutohide]="true" [vgAutohideTime]="1.5">
      <vg-play-pause></vg-play-pause>
      <vg-playback-button></vg-playback-button>

      <vg-time-display vgProperty="current" vgFormat="hh:mm:ss"></vg-time-display>

      <vg-scrub-bar style="pointer-events: none;"></vg-scrub-bar>

      <vg-time-display vgProperty="left" vgFormat="hh:mm:ss"></vg-time-display>
      <!-- <vg-time-display vgProperty="total" vgFormat="hh:mm:ss"></vg-time-display> -->

      <vg-track-selector *ngIf="subtitlesOptions !== undefined"></vg-track-selector>
      <vg-mute></vg-mute>
      <vg-volume></vg-volume>

      <vg-fullscreen></vg-fullscreen>
    </vg-controls>

    <video [vgMedia]="media" #media id="singleVideo" preload="auto" crossorigin>
      <source *ngFor="let filmSrc of filmSource" [src]="filmSrc.url" [type]="filmSrc.fileType">

      <span *ngIf="subtitlesOptions">
        <track kind="subtitles" [label]="subtitlesOptions.label" [src]="subtitlesOptions.url" [srclang]="subtitlesOptions.lang" default>
      </span>
    </video>
  </vg-player>

  <div class="row my-3">

    <div class="col-6 col-lg-3 d-flex justify-content-start">
      <button
        *ngIf="film.prevFilmId"
        type="button"
        class="btn btn-info navigation-button"
        (click)="onClickNextPrev(film.prevFilmId)">
        <i class="fas fa-arrow-left" style="color: white"></i> Previous
      </button>
    </div>

    <div id="central-control-panel" class="col-12 col-lg-6 d-flex justify-content-between flex mt-2 mt-lg-0">
      <button
        type="button"
        class="btn btn-primary central-button"
        (click)="onClickBookmark()">
        Bookmark <i class="far fa-star" style="color: white"></i>
      </button>

      <button
        id="home-button"
        type="button"
        class="btn btn-primary"
        (click)="onClickHome()">
        <i class="fas fa-home" style="color: white"></i>
      </button>

      <div class="btn-group central-button">
        <button
          type="button"
          class="btn btn-primary dropdown-toggle"
          style="width: 100%;"
          data-toggle="dropdown"
          aria-haspopup="true"
          aria-expanded="false"
          (click)="onClickAction()">
          Action
        </button>
        <div
          class="dropdown-menu"
          [ngClass]="{show: dropdownState}"
          style="width: 100%;">
          <a
            class="dropdown-item"
            (click)="onClickCopy()"
            style="cursor: pointer;">
            Copy
          </a>
          <a
            class="dropdown-item"
            style="cursor: pointer;">
            Download
          </a>
          <!-- <div class="dropdown-divider"></div> -->
        </div>
      </div>
    </div>

    <div class="col-6 col-lg-3 d-flex justify-content-end">
      <button
        *ngIf="film.nextFilmId"
        type="button"
        class="btn btn-info navigation-button"
        (click)="onClickNextPrev(film.nextFilmId)">
        Next <i class="fas fa-arrow-right" style="color: white"></i>
      </button>
    </div>

  </div>
</div>
